

local frame = CreateFrame("FRAME", "okutonomonk");
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");


local function eventHandler(self, event, ...)
	if event=="COMBAT_LOG_EVENT_UNFILTERED" then
		local timestamp, type, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2 = select(1, ...)
		local player = UnitGUID("player")
		if type=="SPELL_CAST_SUCCESS" then
			local spellId, spellName, spellSchool = select(12, ...)
			local spellLink = GetSpellLink(spellId)
			if spellName=="Touch of Death" and sourceGUID==player then
				PlaySoundFile("Interface\\AddOns\\HokutoNoMonk\\sounds\\finisher.ogg", "SFX")
				
			end
			if spellName=="Paralysis" and sourceGUID==player then
				PlaySoundFile("Interface\\AddOns\\HokutoNoMonk\\sounds\\atta.ogg", "SFX")
				
			end
			if spellName=="Fortifying Brew" and sourceGUID==player then
				PlaySoundFile("Interface\\AddOns\\HokutoNoMonk\\sounds\\rageload.ogg", "SFX")
			end
			if spellName=="Tigereye Brew" and sourceGUID==player then
				PlaySoundFile("Interface\\AddOns\\HokutoNoMonk\\sounds\\rageload.ogg", "SFX")
				
			end
			if spellName=="Fists of Fury" and sourceGUID==player then
				PlaySoundFile("Interface\\AddOns\\HokutoNoMonk\\sounds\\tatatata.ogg", "SFX")
			end
		end
	end
	
end

frame:SetScript("OnEvent", eventHandler);